1

[alpine-aports] [PATCH] testing/libpurple-hangouts: new aport

Ivan Tham
Details
Message ID
<20170322165758.28917-1-pickfire@riseup.net>
Sender timestamp
1490201878
DKIM signature
missing
Download raw message
Patch: +25 -0
https://bitbucket.org/EionRobb/purple-hangouts
Hangouts Plugin for libpurple
---
 testing/libpurple-hangouts/APKBUILD | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)
 create mode 100644 testing/libpurple-hangouts/APKBUILD

diff --git a/testing/libpurple-hangouts/APKBUILD b/testing/libpurple-hangouts/APKBUILD
new file mode 100644
index 0000000000..c8cc8d0ab6
--- /dev/null
+++ b/testing/libpurple-hangouts/APKBUILD
@@ -0,0 +1,25 @@
+# Contributor: Ivan Tham <pickfire@riseup.net>
+# Maintainer: Ivan Tham <pickfire@riseup.net>
+pkgname=libpurple-hangouts
+_pkgname=${pkgname#lib}
+pkgver=20170313
+pkgrel=0
+pkgdesc="Hangouts Plugin for libpurple"
+url="https://bitbucket.org/EionRobb/purple-hangouts"
+arch="all"
+license="GPL3"
+makedepends="pidgin-dev protobuf-c-dev json-glib-dev"
+source="$_pkgname-$pkgver.tar.bz2::https://bitbucket.org/EionRobb/$_pkgname/get/default.tar.bz2"
+builddir=$(echo "$srcdir/"EionRobb-$_pkgname-*)
+
+build() {
+	cd "$builddir"
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="839b36bb5a8fc84f7eebeac260c47562c6dc47f0f1ec551103a7309cb9b2ad117ab21b4da5aacd62cddeea0c041f43b30e148b2a092d7ce353c18fc0392f0a77  purple-hangouts-20170313.tar.bz2"
-- 
2.12.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Leonardo Arena
Details
Message ID
<6ce92a5d-a372-cf6d-0461-8b6f8483d88f@gmail.com>
In-Reply-To
<20170322165758.28917-1-pickfire@riseup.net> (view parent)
Sender timestamp
1490265762
DKIM signature
missing
Download raw message
Hi,

On 22/03/2017 17:57, Ivan Tham wrote:
> https://bitbucket.org/EionRobb/purple-hangouts
> Hangouts Plugin for libpurple
> ---
>  testing/libpurple-hangouts/APKBUILD | 25 +++++++++++++++++++++++++
>  1 file changed, 25 insertions(+)
>  create mode 100644 testing/libpurple-hangouts/APKBUILD
> 

>>> libpurple-hangouts: Unpacking
/var/cache/distfiles/purple-hangouts-20170313.tar.bz2...
/usr/bin/abuild: cd: line 1: can't cd to
/home/larena/aports/testing/libpurple-hangouts/src/EionRobb-purple-hangouts-*
>>> ERROR: libpurple-hangouts: all failed

could you fix it please?

> diff --git a/testing/libpurple-hangouts/APKBUILD b/testing/libpurple-hangouts/APKBUILD
> new file mode 100644
> index 0000000000..c8cc8d0ab6
> --- /dev/null
> +++ b/testing/libpurple-hangouts/APKBUILD
> @@ -0,0 +1,25 @@
> +# Contributor: Ivan Tham <pickfire@riseup.net>
> +# Maintainer: Ivan Tham <pickfire@riseup.net>
> +pkgname=libpurple-hangouts
> +_pkgname=${pkgname#lib}
> +pkgver=20170313
> +pkgrel=0
> +pkgdesc="Hangouts Plugin for libpurple"
> +url="https://bitbucket.org/EionRobb/purple-hangouts"
> +arch="all"
> +license="GPL3"
> +makedepends="pidgin-dev protobuf-c-dev json-glib-dev"
> +source="$_pkgname-$pkgver.tar.bz2::https://bitbucket.org/EionRobb/$_pkgname/get/default.tar.bz2"
> +builddir=$(echo "$srcdir/"EionRobb-$_pkgname-*)
> +
> +build() {
> +	cd "$builddir"
> +	make || return 1
> +}

We don't need any more to use "|| return 1". Please see
http://lists.alpinelinux.org/alpine-devel/5608.html

> +
> +package() {
> +	cd "$builddir"
> +	make DESTDIR="$pkgdir" install || return 1
> +}
> +

Same here.


Thanks!

|_eo